
# Flutter Cupertino Date Text Box

A text box with an attached CupertinoDatePicker which opens when the text box is tapped.

With this library the following is possible:
- Text Box / Text Field with multiple features to customize its style (e.g. font, padding, etc.)
- Date callback can be used to get result date value

## Quick Usage

Just fill the required parameters of `CupertinoDateTextBox` and you're ready to go, e.g.:
```dart
CupertinoDateTextBox(
    initialValue: DateTime.now(),
    onDateChange: onDateChangeCallback,
    hintText: 'Hint Text'))
```

Please refer to the example for usage: [Quick-Link](https://github.com/Rodiii/flutter_cupertino_date_textbox/blob/master/example/lib/main.dart)

### Example
![Example](https://github.com/Rodiii/flutter_cupertino_date_textbox/raw/master/example.gif?v=4&s=100)

## Bugs/Requests
If you encounter any problems feel free to open an issue. If you feel the library is
missing a feature, please raise a ticket on Github and I'll look into it.
Pull Request are also welcome.
